<?php

if(!$model->Cliente->isAllowed()) {
    User::blockAction('Este documento não pertence a nenhuma Unidade de Negócios em que você tenha permissão');
}
$this->PageTitle = false;

$this->renderPartial('_menu', array('model' => $model));

$criteria = new CDbCriteria();
$criteria->compare('ARQ_MODEL', 'ContratosAssinadosDigitalmente');
$criteria->compare('ARQ_FOREIGNKEY', $model->COT_IDCONTRATO);
$dataProvider = new CActiveDataProvider('Arquivos', array(
    'criteria' => $criteria,
    'sort' => array(
        'defaultOrder' => 'ARQ_IDARQUIVO DESC',
        ),
    )
);
?>
<div id="div-documentos">
    <h1><?php echo Util::getTipoDocumento($model->COT_SITUACAO). ' - ' .$model->COT_IDCONTRATO. ' &raquo; ' . $model->COT_CLI_NOME . ' &raquo; Cópias digitais assinados com assinatura digital'; ?><?php echo $model->getIconAssinatura(); ?></h1>
    <?php
    

    $this->widget('ext.Utils.widgets.CrmGridView', array(
        'id' => 'contratos-grid',
        'dataProvider' => $dataProvider,
        'selectableRows' => 1,
        'afterAjaxUpdate'=>'updated',
        'selectionChanged' => 'function(id){ location.href = "' . Yii::app()->createUrl('contratos/view') . '&id="+$.fn.yiiGridView.getSelection(id);}',
        'columns' => array(
            'ARQ_TITULO',
            'ARQ_DESCRICAO',
            'Autor',
            array(
                'class' => 'CButtonColumn',
                'template' => '{PDF}',
                'buttons' => array(
                    'PDF' => array(
                        'label' => 'Gerar PDF',
                        'imageUrl' => FaHtml::getImgUrl('ico-pdf.png'),
                        'url' => '$data->getUrl()',
                        )
                    )
                )
            )
        )
    );
    ?>
</div>